summaryrefslogtreecommitdiff
path: root/regress/yes-head.sh
diff options
context:
space:
mode:
Diffstat (limited to 'regress/yes-head.sh')
-rw-r--r--regress/yes-head.sh18
1 files changed, 8 insertions, 10 deletions
diff --git a/regress/yes-head.sh b/regress/yes-head.sh
index 1fc75421..fce2f658 100644
--- a/regress/yes-head.sh
+++ b/regress/yes-head.sh
@@ -3,13 +3,11 @@
tid="yes pipe head"
-for p in ${SSH_PROTOCOLS}; do
- lines=`${SSH} -$p -F $OBJ/ssh_proxy thishost 'sh -c "while true;do echo yes;done | _POSIX2_VERSION=199209 head -2000"' | (sleep 3 ; wc -l)`
- if [ $? -ne 0 ]; then
- fail "yes|head test failed"
- lines = 0;
- fi
- if [ $lines -ne 2000 ]; then
- fail "yes|head returns $lines lines instead of 2000"
- fi
-done
+lines=`${SSH} -F $OBJ/ssh_proxy thishost 'sh -c "while true;do echo yes;done | _POSIX2_VERSION=199209 head -2000"' | (sleep 3 ; wc -l)`
+if [ $? -ne 0 ]; then
+ fail "yes|head test failed"
+ lines = 0;
+fi
+if [ $lines -ne 2000 ]; then
+ fail "yes|head returns $lines lines instead of 2000"
+fi